Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358364 - Cannot Cancel Smart State Analysis of Container that is not completing -
Summary: Cannot Cancel Smart State Analysis of Container that is not completing -
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.6.0
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Erez Freiberger
QA Contact: Einat Pacifici
URL:
Whiteboard: container:smartstate
Depends On:
Blocks: 1361178
TreeView+ depends on / blocked
 
Reported: 2016-07-20 14:59 UTC by james labocki
Modified: 2018-04-17 08:11 UTC (History)
12 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1361178 (view as bug list)
Environment:
Last Closed: 2017-01-11 19:57:52 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Even though it says cancelled it will still show up when you refresh the page. (deleted)
2016-07-20 14:59 UTC, james labocki
no flags Details

Description james labocki 2016-07-20 14:59:59 UTC
Created attachment 1182140 [details]
Even though it says cancelled it will still show up when you refresh the page.

Description of problem:
There is no way to cancel a smart state analysis of a container that is not completing. (See screenshot). 


Steps to Reproduce:
1. Start a smart state analysis of a container in a way that it should fail (for example, registry is not reachable).
2. Go to tasks section and see that scan task is stuck for hours and hours.
3. Try to cancel the task and it will not cancel

Actual results:


Expected results:


Additional info:
Session Information
Server Name
EVM
Version
5.6.0.13.20160624114606_13a9153
User Name
Administrator
User Role
EvmRole-super_administrator
Browser
Chrome
Browser Version
51
Browser OS
Mac

Comment 3 Federico Simoncelli 2016-07-21 14:41:38 UTC
Erez, IIRC you have a PR for this right?

Comment 4 Erez Freiberger 2016-07-24 09:05:07 UTC
We have a PR that was already merged to clean scans that were timed out. Here I think they are asking to create an option to cancel a scan while its running.

Comment 5 Federico Simoncelli 2016-07-25 08:14:29 UTC
(In reply to Erez Freiberger from comment #4)
> We have a PR that was already merged to clean scans that were timed out.
> Here I think they are asking to create an option to cancel a scan while its
> running.

OK, it actually was an issue. I was referring to this:

https://github.com/ManageIQ/manageiq/issues/7777

That was mentioned from:

https://github.com/ManageIQ/manageiq/pull/7686

Comment 6 Erez Freiberger 2016-07-27 06:21:17 UTC
I added a PR to fix this: https://github.com/ManageIQ/manageiq/pull/10067

Comment 14 Einat Pacifici 2016-10-25 11:37:32 UTC
Verified. There is now a button "Cancel Job". When pressed and job is cancelled the message is updated to: "Job cancelled at...."


Note You need to log in before you can comment on or make changes to this bug.